data "oci_identity_availability_domains" "ads" {
  compartment_id = var.compartment_ocid
}

data "oci_core_images" "latest_ubuntu_image_amd_minimal" {
  compartment_id   = var.compartment_ocid
  operating_system = "Canonical Ubuntu"
  shape            = "VM.Standard.E2.1.Micro"
  sort_by          = "TIMECREATED"

  filter {
    name   = "display_name"
    values = ["Minimal"]
    regex  = true
  }
}

data "oci_core_images" "latest_ubuntu_image_arm_minimal" {
  compartment_id   = var.compartment_ocid
  operating_system = "Canonical Ubuntu"
  shape            = "VM.Standard.A1.Flex"
  sort_by          = "TIMECREATED"

  filter {
    name   = "display_name"
    values = ["Minimal"]
    regex  = true
  }
}
