terraform {
  required_providers {
    oci = {
      source = "oracle/oci"
      version = "~> 4.100.0"
    }
    cloudflare = {
      source  = "cloudflare/cloudflare"
      version = "~> 3.0"
    }
  }
}

provider "oci" {
  tenancy_ocid     = var.compartment_ocid
  user_ocid        = var.user_ocid
  fingerprint      = var.fingerprint_oci
  private_key_path = var.private_key_path_oci
  region           = var.region_oci
}

provider "cloudflare" {
  api_token = var.cloudflare_api_token
}
