variable "compartment_ocid" {
  type        = string
  description = "Equal to the Tenancy ocid"
}

variable "user_ocid" {
  type        = string
  description = "The User ocid"
}

variable "fingerprint_oci" {
  type        = string
  description = "The fingerprint of the key used in OCI provider"
}

variable "private_key_path_oci" {
  type        = string
  description = "Path to the private key used in OCI provider"
}

variable "region_oci" {
  type        = string
  description = "Region to use in OCI provider"
}

variable "cloudflare_api_token" {
  type        = string
  description = "cloudflare API token"
}

variable "cloudflare_zone_id" {
  type        = string
  description = "Cloudflare zone id"
}

variable "base_domain" {
  type        = string
  description = "The base domain to set the dns records to e.g. 'example.com' "
}

variable "ssh_key" {
  type        = string
  description = "Public ssh key to add"
}

variable "e2_micro" {
  type = map(object({
    vcn = string
    ad  = number
  }))
  description = "VM.Standard.E2.1.Micro"
  default     = {}
}

variable "a1_flex" {
  type = map(object({
    vcn = string
    cpu = string
    ram = string
    ad  = number
  }))
  description = "VM.Standard.A1.Flex"
  default     = {}
}

variable "vcn" {
  type = map(object({
    cidr_block = string
    firewall_rules = list(object({
      description = string
      is_udp      = bool
      cidr        = string
      port_min    = number
      port_max    = number
    }))
  }))

  default = {}
}
